ibxm

## Class IBXM

- java.lang.Object
- - ibxm.IBXM

-     public class IBXM
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `FP_MASK`
    `static int` | `FP_ONE`
    `static int` | `FP_SHIFT`
    `static String` | `VERSION`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IBXM(int sample_rate)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `calculate_song_duration()`
    `void` | `get_audio(byte[] output_buffer, int frames)`
    `void` | `seek(int sample_position)`
    `void` | `set_module(Module m)`
    `void` | `set_resampling_quality(int quality)`
    `void` | `set_sequence_index(int sequence_index, int row)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### VERSION

          public static final String VERSION

      See Also:
        Constant Field Values

    - #### FP_SHIFT

          public static final int FP_SHIFT

      See Also:
        Constant Field Values

    - #### FP_ONE

          public static final int FP_ONE

      See Also:
        Constant Field Values

    - #### FP_MASK

          public static final int FP_MASK

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### IBXM

          public IBXM(int sample_rate)

  - ### Method Detail

    - #### set_module

          public void set_module(Module m)

    - #### set_resampling_quality

          public void set_resampling_quality(int quality)

    - #### calculate_song_duration

          public int calculate_song_duration()

    - #### set_sequence_index

          public void set_sequence_index(int sequence_index,
                                int row)

    - #### seek

          public void seek(int sample_position)

    - #### get_audio

          public void get_audio(byte[] output_buffer,
                       int frames)